using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AdvertsingProfitControl
{
    internal class AdItemCollectionModel
    {
        private readonly List<string> AdItemCollection = new List<string>();
        private readonly AutoCompleteStringCollection TrimmedAdItemCollection = new AutoCompleteStringCollection();
        private readonly AutoCompleteStringCollection UsedAdItemCollection = new AutoCompleteStringCollection();

        public AdItemCollectionModel()
        {
            //Start with filling the AdItemCollection array with the items from the database.
            var databaseTracker = new DatabaseTracker();
            var databaseReader = new DatabaseReader();
            AdItemCollection = databaseReader.GetAdItemsSuggestionList(databaseTracker.DatabaseConnectionString);

        }
    }
}
